/* EndSessionDialog.c generated by valac 0.36.3, the Vala compiler
 * generated from EndSessionDialog.vala, do not modify */

/*
 * Copyright (c) 2011-2015 Tom Beckmann
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA 02110-1301 USA
 */
/*
 * docs taken from unity indicator-session's
 * src/backend-dbus/org.gnome.SessionManager.EndSessionDialog.xml
 */

#include <glib.h>
#include <glib-object.h>
#include <gtk/gtk.h>
#include <gio/gio.h>
#include <stdlib.h>
#include <string.h>
#include <gdk/gdk.h>
#include <stdio.h>
#include <glib/gi18n-lib.h>


#define SESSION_WIDGETS_TYPE_END_SESSION_DIALOG_TYPE (session_widgets_end_session_dialog_type_get_type ())

#define SESSION_WIDGETS_TYPE_END_SESSION_DIALOG (session_widgets_end_session_dialog_get_type ())
#define SESSION_WIDGETS_END_SESSION_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), SESSION_WIDGETS_TYPE_END_SESSION_DIALOG, SessionWidgetsEndSessionDialog))
#define SESSION_WIDGETS_END_SESSION_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), SESSION_WIDGETS_TYPE_END_SESSION_DIALOG, SessionWidgetsEndSessionDialogClass))
#define SESSION_WIDGETS_IS_END_SESSION_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), SESSION_WIDGETS_TYPE_END_SESSION_DIALOG))
#define SESSION_WIDGETS_IS_END_SESSION_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), SESSION_WIDGETS_TYPE_END_SESSION_DIALOG))
#define SESSION_WIDGETS_END_SESSION_DIALOG_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), SESSION_WIDGETS_TYPE_END_SESSION_DIALOG, SessionWidgetsEndSessionDialogClass))

typedef struct _SessionWidgetsEndSessionDialog SessionWidgetsEndSessionDialog;
typedef struct _SessionWidgetsEndSessionDialogClass SessionWidgetsEndSessionDialogClass;
typedef struct _SessionWidgetsEndSessionDialogPrivate SessionWidgetsEndSessionDialogPrivate;

#define TYPE_LOGOUT_INTERFACE (logout_interface_get_type ())
#define LOGOUT_INTERFACE(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_LOGOUT_INTERFACE, LogoutInterface))
#define IS_LOGOUT_INTERFACE(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_LOGOUT_INTERFACE))
#define LOGOUT_INTERFACE_GET_INTERFACE(obj) (G_TYPE_INSTANCE_GET_INTERFACE ((obj), TYPE_LOGOUT_INTERFACE, LogoutInterfaceIface))

typedef struct _LogoutInterface LogoutInterface;
typedef struct _LogoutInterfaceIface LogoutInterfaceIface;

#define TYPE_LOGOUT_INTERFACE_PROXY (logout_interface_proxy_get_type ())

#define TYPE_SYSTEM_INTERFACE (system_interface_get_type ())
#define SYSTEM_INTERFACE(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_SYSTEM_INTERFACE, SystemInterface))
#define IS_SYSTEM_INTERFACE(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_SYSTEM_INTERFACE))
#define SYSTEM_INTERFACE_GET_INTERFACE(obj) (G_TYPE_INSTANCE_GET_INTERFACE ((obj), TYPE_SYSTEM_INTERFACE, SystemInterfaceIface))

typedef struct _SystemInterface SystemInterface;
typedef struct _SystemInterfaceIface SystemInterfaceIface;

#define TYPE_SYSTEM_INTERFACE_PROXY (system_interface_proxy_get_type ())

#define TYPE_USER_INFO (user_info_get_type ())
typedef struct _UserInfo UserInfo;
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))

typedef enum  {
	SESSION_WIDGETS_END_SESSION_DIALOG_TYPE_LOGOUT = 0,
	SESSION_WIDGETS_END_SESSION_DIALOG_TYPE_SHUTDOWN = 1,
	SESSION_WIDGETS_END_SESSION_DIALOG_TYPE_RESTART = 2
} SessionWidgetsEndSessionDialogType;

struct _SessionWidgetsEndSessionDialog {
	GtkDialog parent_instance;
	SessionWidgetsEndSessionDialogPrivate * priv;
};

struct _SessionWidgetsEndSessionDialogClass {
	GtkDialogClass parent_class;
};

struct _LogoutInterfaceIface {
	GTypeInterface parent_iface;
	void (*terminate) (LogoutInterface* self, GError** error);
};

struct _UserInfo {
	guint32 uid;
	gchar* user_name;
	char* user_object;
};

struct _SystemInterfaceIface {
	GTypeInterface parent_iface;
	void (*suspend) (SystemInterface* self, gboolean interactive, GError** error);
	void (*reboot) (SystemInterface* self, gboolean interactive, GError** error);
	void (*power_off) (SystemInterface* self, gboolean interactive, GError** error);
	UserInfo* (*list_users) (SystemInterface* self, int* result_length1, GError** error);
	char* (*get_user) (SystemInterface* self, guint32 uuid, GError** error);
};

struct _SessionWidgetsEndSessionDialogPrivate {
	LogoutInterface* logout_interface;
	SystemInterface* system_interface;
	SessionWidgetsEndSessionDialogType _dialog_type;
};


static gpointer session_widgets_end_session_dialog_parent_class = NULL;

GType session_widgets_end_session_dialog_type_get_type (void) G_GNUC_CONST;
GType session_widgets_end_session_dialog_get_type (void) G_GNUC_CONST;
GType logout_interface_proxy_get_type (void) G_GNUC_CONST;
guint logout_interface_register_object (void* object, GDBusConnection* connection, const gchar* path, GError** error);
GType logout_interface_get_type (void) G_GNUC_CONST;
GType system_interface_proxy_get_type (void) G_GNUC_CONST;
guint system_interface_register_object (void* object, GDBusConnection* connection, const gchar* path, GError** error);
GType user_info_get_type (void) G_GNUC_CONST;
UserInfo* user_info_dup (const UserInfo* self);
void user_info_free (UserInfo* self);
void user_info_copy (const UserInfo* self, UserInfo* dest);
void user_info_destroy (UserInfo* self);
GType system_interface_get_type (void) G_GNUC_CONST;
#define SESSION_WIDGETS_END_SESSION_DIALOG_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), SESSION_WIDGETS_TYPE_END_SESSION_DIALOG, SessionWidgetsEndSessionDialogPrivate))
enum  {
	SESSION_WIDGETS_END_SESSION_DIALOG_DUMMY_PROPERTY,
	SESSION_WIDGETS_END_SESSION_DIALOG_DIALOG_TYPE
};
SessionWidgetsEndSessionDialog* session_widgets_end_session_dialog_new (SessionWidgetsEndSessionDialogType type);
SessionWidgetsEndSessionDialog* session_widgets_end_session_dialog_construct (GType object_type, SessionWidgetsEndSessionDialogType type);
SessionWidgetsEndSessionDialogType session_widgets_end_session_dialog_get_dialog_type (SessionWidgetsEndSessionDialog* self);
static void session_widgets_end_session_dialog_set_dialog_type (SessionWidgetsEndSessionDialog* self, SessionWidgetsEndSessionDialogType value);
static GObject * session_widgets_end_session_dialog_constructor (GType type, guint n_construct_properties, GObjectConstructParam * construct_properties);
static void _session_widgets_end_session_dialog____lambda7_ (SessionWidgetsEndSessionDialog* self);
void system_interface_reboot (SystemInterface* self, gboolean interactive, GError** error);
static void __session_widgets_end_session_dialog____lambda7__gtk_button_clicked (GtkButton* _sender, gpointer self);
static void _session_widgets_end_session_dialog___lambda8_ (SessionWidgetsEndSessionDialog* self);
static void __session_widgets_end_session_dialog___lambda8__gtk_button_clicked (GtkButton* _sender, gpointer self);
static void _session_widgets_end_session_dialog___lambda9_ (SessionWidgetsEndSessionDialog* self);
void system_interface_power_off (SystemInterface* self, gboolean interactive, GError** error);
void logout_interface_terminate (LogoutInterface* self, GError** error);
static void __session_widgets_end_session_dialog___lambda9__gtk_button_clicked (GtkButton* _sender, gpointer self);
static void session_widgets_end_session_dialog_finalize (GObject * obj);
static void _vala_session_widgets_end_session_dialog_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec);
static void _vala_session_widgets_end_session_dialog_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec);


GType session_widgets_end_session_dialog_type_get_type (void) {
	static volatile gsize session_widgets_end_session_dialog_type_type_id__volatile = 0;
	if (g_once_init_enter (&session_widgets_end_session_dialog_type_type_id__volatile)) {
		static const GEnumValue values[] = {{SESSION_WIDGETS_END_SESSION_DIALOG_TYPE_LOGOUT, "SESSION_WIDGETS_END_SESSION_DIALOG_TYPE_LOGOUT", "logout"}, {SESSION_WIDGETS_END_SESSION_DIALOG_TYPE_SHUTDOWN, "SESSION_WIDGETS_END_SESSION_DIALOG_TYPE_SHUTDOWN", "shutdown"}, {SESSION_WIDGETS_END_SESSION_DIALOG_TYPE_RESTART, "SESSION_WIDGETS_END_SESSION_DIALOG_TYPE_RESTART", "restart"}, {0, NULL, NULL}};
		GType session_widgets_end_session_dialog_type_type_id;
		session_widgets_end_session_dialog_type_type_id = g_enum_register_static ("SessionWidgetsEndSessionDialogType", values);
		g_once_init_leave (&session_widgets_end_session_dialog_type_type_id__volatile, session_widgets_end_session_dialog_type_type_id);
	}
	return session_widgets_end_session_dialog_type_type_id__volatile;
}


SessionWidgetsEndSessionDialog* session_widgets_end_session_dialog_construct (GType object_type, SessionWidgetsEndSessionDialogType type) {
	SessionWidgetsEndSessionDialog * self = NULL;
	SessionWidgetsEndSessionDialogType _tmp0_;
#line 37 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	_tmp0_ = type;
#line 37 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	self = (SessionWidgetsEndSessionDialog*) g_object_new (object_type, "dialog-type", _tmp0_, "title", "", "deletable", FALSE, "skip-taskbar-hint", TRUE, "skip-pager-hint", TRUE, "type-hint", GDK_WINDOW_TYPE_HINT_DIALOG, NULL);
#line 36 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	return self;
#line 180 "EndSessionDialog.c"
}


SessionWidgetsEndSessionDialog* session_widgets_end_session_dialog_new (SessionWidgetsEndSessionDialogType type) {
#line 36 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	return session_widgets_end_session_dialog_construct (SESSION_WIDGETS_TYPE_END_SESSION_DIALOG, type);
#line 187 "EndSessionDialog.c"
}


SessionWidgetsEndSessionDialogType session_widgets_end_session_dialog_get_dialog_type (SessionWidgetsEndSessionDialog* self) {
	SessionWidgetsEndSessionDialogType result;
	SessionWidgetsEndSessionDialogType _tmp0_;
#line 34 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 34 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	_tmp0_ = self->priv->_dialog_type;
#line 34 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	result = _tmp0_;
#line 34 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	return result;
#line 202 "EndSessionDialog.c"
}


static void session_widgets_end_session_dialog_set_dialog_type (SessionWidgetsEndSessionDialog* self, SessionWidgetsEndSessionDialogType value) {
#line 34 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	g_return_if_fail (self != NULL);
#line 34 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	if (session_widgets_end_session_dialog_get_dialog_type (self) != value) {
#line 211 "EndSessionDialog.c"
		SessionWidgetsEndSessionDialogType _tmp0_;
#line 34 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
		_tmp0_ = value;
#line 34 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
		self->priv->_dialog_type = _tmp0_;
#line 34 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
		g_object_notify ((GObject *) self, "dialog-type");
#line 219 "EndSessionDialog.c"
	}
}


static gpointer _g_object_ref0 (gpointer self) {
#line 108 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	return self ? g_object_ref (self) : NULL;
#line 227 "EndSessionDialog.c"
}


static void _session_widgets_end_session_dialog____lambda7_ (SessionWidgetsEndSessionDialog* self) {
	GError * _inner_error_ = NULL;
	{
		SystemInterface* _tmp0_;
#line 111 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
		_tmp0_ = self->priv->system_interface;
#line 111 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
		system_interface_reboot (_tmp0_, FALSE, &_inner_error_);
#line 111 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 111 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
			if (_inner_error_->domain == G_IO_ERROR) {
#line 243 "EndSessionDialog.c"
				goto __catch9_g_io_error;
			}
#line 111 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 111 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
			g_clear_error (&_inner_error_);
#line 111 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
			return;
#line 252 "EndSessionDialog.c"
		}
	}
	goto __finally9;
	__catch9_g_io_error:
	{
		GError* e = NULL;
		FILE* _tmp1_;
		GError* _tmp2_;
		const gchar* _tmp3_;
#line 110 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
		e = _inner_error_;
#line 110 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
		_inner_error_ = NULL;
#line 113 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
		_tmp1_ = stderr;
#line 113 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
		_tmp2_ = e;
#line 113 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
		_tmp3_ = _tmp2_->message;
#line 113 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
		fprintf (_tmp1_, "%s\n", _tmp3_);
#line 110 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
		_g_error_free0 (e);
#line 276 "EndSessionDialog.c"
	}
	__finally9:
#line 110 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 110 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 110 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
		g_clear_error (&_inner_error_);
#line 110 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
		return;
#line 287 "EndSessionDialog.c"
	}
#line 116 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	gtk_widget_destroy ((GtkWidget*) self);
#line 291 "EndSessionDialog.c"
}


static void __session_widgets_end_session_dialog____lambda7__gtk_button_clicked (GtkButton* _sender, gpointer self) {
#line 109 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	_session_widgets_end_session_dialog____lambda7_ ((SessionWidgetsEndSessionDialog*) self);
#line 298 "EndSessionDialog.c"
}


static void _session_widgets_end_session_dialog___lambda8_ (SessionWidgetsEndSessionDialog* self) {
#line 121 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	gtk_widget_destroy ((GtkWidget*) self);
#line 305 "EndSessionDialog.c"
}


static void __session_widgets_end_session_dialog___lambda8__gtk_button_clicked (GtkButton* _sender, gpointer self) {
#line 121 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	_session_widgets_end_session_dialog___lambda8_ ((SessionWidgetsEndSessionDialog*) self);
#line 312 "EndSessionDialog.c"
}


static void _session_widgets_end_session_dialog___lambda9_ (SessionWidgetsEndSessionDialog* self) {
	gboolean _tmp0_ = FALSE;
	SessionWidgetsEndSessionDialogType _tmp1_;
	GError * _inner_error_ = NULL;
#line 126 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	_tmp1_ = self->priv->_dialog_type;
#line 126 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	if (_tmp1_ == SESSION_WIDGETS_END_SESSION_DIALOG_TYPE_RESTART) {
#line 126 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
		_tmp0_ = TRUE;
#line 326 "EndSessionDialog.c"
	} else {
		SessionWidgetsEndSessionDialogType _tmp2_;
#line 126 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
		_tmp2_ = self->priv->_dialog_type;
#line 126 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
		_tmp0_ = _tmp2_ == SESSION_WIDGETS_END_SESSION_DIALOG_TYPE_SHUTDOWN;
#line 333 "EndSessionDialog.c"
	}
#line 126 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	if (_tmp0_) {
#line 337 "EndSessionDialog.c"
		{
			SystemInterface* _tmp3_;
#line 128 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
			_tmp3_ = self->priv->system_interface;
#line 128 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
			system_interface_power_off (_tmp3_, FALSE, &_inner_error_);
#line 128 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
			if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 128 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
				if (_inner_error_->domain == G_IO_ERROR) {
#line 348 "EndSessionDialog.c"
					goto __catch10_g_io_error;
				}
#line 128 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
				g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 128 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
				g_clear_error (&_inner_error_);
#line 128 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
				return;
#line 357 "EndSessionDialog.c"
			}
		}
		goto __finally10;
		__catch10_g_io_error:
		{
			GError* e = NULL;
			FILE* _tmp4_;
			GError* _tmp5_;
			const gchar* _tmp6_;
#line 127 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
			e = _inner_error_;
#line 127 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
			_inner_error_ = NULL;
#line 130 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
			_tmp4_ = stderr;
#line 130 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
			_tmp5_ = e;
#line 130 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
			_tmp6_ = _tmp5_->message;
#line 130 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
			fprintf (_tmp4_, "%s\n", _tmp6_);
#line 127 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
			_g_error_free0 (e);
#line 381 "EndSessionDialog.c"
		}
		__finally10:
#line 127 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 127 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 127 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
			g_clear_error (&_inner_error_);
#line 127 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
			return;
#line 392 "EndSessionDialog.c"
		}
	} else {
		{
			LogoutInterface* _tmp7_;
#line 134 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
			_tmp7_ = self->priv->logout_interface;
#line 134 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
			logout_interface_terminate (_tmp7_, &_inner_error_);
#line 134 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
			if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 134 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
				if (_inner_error_->domain == G_IO_ERROR) {
#line 405 "EndSessionDialog.c"
					goto __catch11_g_io_error;
				}
#line 134 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
				g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 134 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
				g_clear_error (&_inner_error_);
#line 134 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
				return;
#line 414 "EndSessionDialog.c"
			}
		}
		goto __finally11;
		__catch11_g_io_error:
		{
			GError* e = NULL;
			FILE* _tmp8_;
			GError* _tmp9_;
			const gchar* _tmp10_;
#line 133 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
			e = _inner_error_;
#line 133 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
			_inner_error_ = NULL;
#line 136 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
			_tmp8_ = stderr;
#line 136 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
			_tmp9_ = e;
#line 136 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
			_tmp10_ = _tmp9_->message;
#line 136 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
			fprintf (_tmp8_, "%s\n", _tmp10_);
#line 133 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
			_g_error_free0 (e);
#line 438 "EndSessionDialog.c"
		}
		__finally11:
#line 133 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 133 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 133 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
			g_clear_error (&_inner_error_);
#line 133 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
			return;
#line 449 "EndSessionDialog.c"
		}
#line 138 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
		gtk_widget_destroy ((GtkWidget*) self);
#line 453 "EndSessionDialog.c"
	}
}


static void __session_widgets_end_session_dialog___lambda9__gtk_button_clicked (GtkButton* _sender, gpointer self) {
#line 125 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	_session_widgets_end_session_dialog___lambda9_ ((SessionWidgetsEndSessionDialog*) self);
#line 461 "EndSessionDialog.c"
}


static GObject * session_widgets_end_session_dialog_constructor (GType type, guint n_construct_properties, GObjectConstructParam * construct_properties) {
	GObject * obj;
	GObjectClass * parent_class;
	SessionWidgetsEndSessionDialog * self;
	gchar* icon_name = NULL;
	gchar* heading_text = NULL;
	gchar* button_text = NULL;
	gchar* content_text = NULL;
	SessionWidgetsEndSessionDialogType _tmp10_;
	GtkLabel* heading = NULL;
	const gchar* _tmp19_;
	gchar* _tmp20_;
	gchar* _tmp21_;
	gchar* _tmp22_;
	gchar* _tmp23_;
	GtkLabel* _tmp24_;
	GtkLabel* _tmp25_;
	GtkLabel* _tmp26_;
	GtkStyleContext* _tmp27_;
	GtkLabel* _tmp28_;
	GtkLabel* _tmp29_;
	GtkGrid* grid = NULL;
	GtkGrid* _tmp30_;
	GtkGrid* _tmp31_;
	GtkGrid* _tmp32_;
	GtkGrid* _tmp33_;
	GtkGrid* _tmp34_;
	GtkGrid* _tmp35_;
	GtkGrid* _tmp36_;
	const gchar* _tmp37_;
	GtkImage* _tmp38_;
	GtkImage* _tmp39_;
	GtkGrid* _tmp40_;
	GtkLabel* _tmp41_;
	GtkGrid* _tmp42_;
	const gchar* _tmp43_;
	GtkLabel* _tmp44_;
	GtkLabel* _tmp45_;
	SessionWidgetsEndSessionDialogType _tmp46_;
	GtkButton* cancel = NULL;
	GtkWidget* _tmp50_;
	GtkButton* _tmp51_;
	GtkButton* _tmp52_;
	GtkButton* confirm = NULL;
	const gchar* _tmp53_;
	GtkWidget* _tmp54_;
	GtkButton* _tmp55_;
	GtkButton* _tmp56_;
	GtkStyleContext* _tmp57_;
	GtkButton* _tmp58_;
	GtkButton* _tmp59_;
	GtkBox* _tmp60_;
	GtkGrid* _tmp61_;
	GtkWidget* action_area = NULL;
	GtkWidget* _tmp62_;
	GtkWidget* _tmp63_;
	GtkWidget* _tmp64_;
	GtkWidget* _tmp65_;
	GError * _inner_error_ = NULL;
#line 40 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	parent_class = G_OBJECT_CLASS (session_widgets_end_session_dialog_parent_class);
#line 40 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	obj = parent_class->constructor (type, n_construct_properties, construct_properties);
#line 40 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, SESSION_WIDGETS_TYPE_END_SESSION_DIALOG, SessionWidgetsEndSessionDialog);
#line 530 "EndSessionDialog.c"
	{
		SessionWidgetsEndSessionDialogType _tmp0_;
#line 42 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
		_tmp0_ = self->priv->_dialog_type;
#line 42 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
		if (_tmp0_ == SESSION_WIDGETS_END_SESSION_DIALOG_TYPE_LOGOUT) {
#line 537 "EndSessionDialog.c"
			LogoutInterface* _tmp1_ = NULL;
			LogoutInterface* _tmp2_;
			LogoutInterface* _tmp3_;
#line 43 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
			_tmp2_ = g_initable_new (TYPE_LOGOUT_INTERFACE_PROXY, NULL, &_inner_error_, "g-flags", 0, "g-name", "org.freedesktop.login1", "g-bus-type", G_BUS_TYPE_SYSTEM, "g-object-path", "/org/freedesktop/login1/user/self", "g-interface-name", "org.freedesktop.login1.User", "g-interface-info", g_type_get_qdata (TYPE_LOGOUT_INTERFACE, g_quark_from_static_string ("vala-dbus-interface-info")), NULL);
#line 43 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
			_tmp1_ = (LogoutInterface*) _tmp2_;
#line 43 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
			if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 43 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
				if (_inner_error_->domain == G_IO_ERROR) {
#line 549 "EndSessionDialog.c"
					goto __catch8_g_io_error;
				}
#line 43 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
				g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 43 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
				g_clear_error (&_inner_error_);
#line 556 "EndSessionDialog.c"
			}
#line 43 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
			_tmp3_ = _tmp1_;
#line 43 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
			_tmp1_ = NULL;
#line 43 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
			_g_object_unref0 (self->priv->logout_interface);
#line 43 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
			self->priv->logout_interface = _tmp3_;
#line 42 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
			_g_object_unref0 (_tmp1_);
#line 568 "EndSessionDialog.c"
		} else {
			SystemInterface* _tmp4_ = NULL;
			SystemInterface* _tmp5_;
			SystemInterface* _tmp6_;
#line 45 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
			_tmp5_ = g_initable_new (TYPE_SYSTEM_INTERFACE_PROXY, NULL, &_inner_error_, "g-flags", 0, "g-name", "org.freedesktop.login1", "g-bus-type", G_BUS_TYPE_SYSTEM, "g-object-path", "/org/freedesktop/login1", "g-interface-name", "org.freedesktop.login1.Manager", "g-interface-info", g_type_get_qdata (TYPE_SYSTEM_INTERFACE, g_quark_from_static_string ("vala-dbus-interface-info")), NULL);
#line 45 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
			_tmp4_ = (SystemInterface*) _tmp5_;
#line 45 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
			if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 45 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
				if (_inner_error_->domain == G_IO_ERROR) {
#line 581 "EndSessionDialog.c"
					goto __catch8_g_io_error;
				}
#line 45 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
				g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 45 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
				g_clear_error (&_inner_error_);
#line 588 "EndSessionDialog.c"
			}
#line 45 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
			_tmp6_ = _tmp4_;
#line 45 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
			_tmp4_ = NULL;
#line 45 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
			_g_object_unref0 (self->priv->system_interface);
#line 45 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
			self->priv->system_interface = _tmp6_;
#line 42 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
			_g_object_unref0 (_tmp4_);
#line 600 "EndSessionDialog.c"
		}
	}
	goto __finally8;
	__catch8_g_io_error:
	{
		GError* e = NULL;
		FILE* _tmp7_;
		GError* _tmp8_;
		const gchar* _tmp9_;
#line 41 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
		e = _inner_error_;
#line 41 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
		_inner_error_ = NULL;
#line 48 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
		_tmp7_ = stderr;
#line 48 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
		_tmp8_ = e;
#line 48 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
		_tmp9_ = _tmp8_->message;
#line 48 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
		fprintf (_tmp7_, "%s\n", _tmp9_);
#line 41 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
		_g_error_free0 (e);
#line 624 "EndSessionDialog.c"
	}
	__finally8:
#line 41 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 41 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 41 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
		g_clear_error (&_inner_error_);
#line 633 "EndSessionDialog.c"
	}
#line 58 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	_tmp10_ = self->priv->_dialog_type;
#line 58 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	switch (_tmp10_) {
#line 58 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
		case SESSION_WIDGETS_END_SESSION_DIALOG_TYPE_LOGOUT:
#line 641 "EndSessionDialog.c"
		{
			gchar* _tmp11_;
			gchar* _tmp12_;
			gchar* _tmp13_;
			gchar* _tmp14_;
#line 60 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
			_tmp11_ = g_strdup ("system-log-out");
#line 60 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
			_g_free0 (icon_name);
#line 60 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
			icon_name = _tmp11_;
#line 61 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
			_tmp12_ = g_strdup (_ ("Are you sure you want to Log Out?"));
#line 61 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
			_g_free0 (heading_text);
#line 61 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
			heading_text = _tmp12_;
#line 62 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
			_tmp13_ = g_strdup (_ ("This will close all open applications."));
#line 62 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
			_g_free0 (content_text);
#line 62 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
			content_text = _tmp13_;
#line 63 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
			_tmp14_ = g_strdup (_ ("Log Out"));
#line 63 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
			_g_free0 (button_text);
#line 63 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
			button_text = _tmp14_;
#line 64 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
			break;
#line 673 "EndSessionDialog.c"
		}
#line 58 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
		case SESSION_WIDGETS_END_SESSION_DIALOG_TYPE_SHUTDOWN:
#line 58 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
		case SESSION_WIDGETS_END_SESSION_DIALOG_TYPE_RESTART:
#line 679 "EndSessionDialog.c"
		{
			gchar* _tmp15_;
			gchar* _tmp16_;
			gchar* _tmp17_;
			gchar* _tmp18_;
#line 67 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
			_tmp15_ = g_strdup ("system-shutdown");
#line 67 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
			_g_free0 (icon_name);
#line 67 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
			icon_name = _tmp15_;
#line 68 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
			_tmp16_ = g_strdup (_ ("Are you sure you want to Shut Down?"));
#line 68 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
			_g_free0 (heading_text);
#line 68 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
			heading_text = _tmp16_;
#line 69 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
			_tmp17_ = g_strdup (_ ("This will close all open applications and turn off this device."));
#line 69 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
			_g_free0 (content_text);
#line 69 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
			content_text = _tmp17_;
#line 70 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
			_tmp18_ = g_strdup (_ ("Shut Down"));
#line 70 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
			_g_free0 (button_text);
#line 70 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
			button_text = _tmp18_;
#line 71 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
			break;
#line 711 "EndSessionDialog.c"
		}
		default:
		{
#line 80 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
			g_warn_if_reached ();
#line 81 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
			break;
#line 719 "EndSessionDialog.c"
		}
	}
#line 84 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	gtk_window_set_position ((GtkWindow*) self, GTK_WIN_POS_CENTER_ALWAYS);
#line 85 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	gtk_window_set_keep_above ((GtkWindow*) self, TRUE);
#line 86 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	gtk_window_stick ((GtkWindow*) self);
#line 87 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	gtk_window_set_resizable ((GtkWindow*) self, FALSE);
#line 89 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	_tmp19_ = heading_text;
#line 89 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	_tmp20_ = g_strconcat ("<span weight='bold' size='larger'>", _tmp19_, NULL);
#line 89 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	_tmp21_ = _tmp20_;
#line 89 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	_tmp22_ = g_strconcat (_tmp21_, "</span>", NULL);
#line 89 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	_tmp23_ = _tmp22_;
#line 89 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	_tmp24_ = (GtkLabel*) gtk_label_new (_tmp23_);
#line 89 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	g_object_ref_sink (_tmp24_);
#line 89 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	_tmp25_ = _tmp24_;
#line 89 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	_g_free0 (_tmp23_);
#line 89 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	_g_free0 (_tmp21_);
#line 89 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	heading = _tmp25_;
#line 90 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	_tmp26_ = heading;
#line 90 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	_tmp27_ = gtk_widget_get_style_context ((GtkWidget*) _tmp26_);
#line 90 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	gtk_style_context_add_class (_tmp27_, "larger");
#line 91 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	_tmp28_ = heading;
#line 91 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	gtk_label_set_use_markup (_tmp28_, TRUE);
#line 92 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	_tmp29_ = heading;
#line 92 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	gtk_widget_set_halign ((GtkWidget*) _tmp29_, GTK_ALIGN_START);
#line 94 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	_tmp30_ = (GtkGrid*) gtk_grid_new ();
#line 94 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	g_object_ref_sink (_tmp30_);
#line 94 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	grid = _tmp30_;
#line 95 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	_tmp31_ = grid;
#line 95 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	gtk_grid_set_column_spacing (_tmp31_, 12);
#line 96 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	_tmp32_ = grid;
#line 96 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	gtk_grid_set_row_spacing (_tmp32_, 12);
#line 97 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	_tmp33_ = grid;
#line 97 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	_tmp34_ = grid;
#line 97 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	_tmp35_ = grid;
#line 97 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	gtk_widget_set_margin_bottom ((GtkWidget*) _tmp35_, 12);
#line 97 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	gtk_widget_set_margin_right ((GtkWidget*) _tmp34_, 12);
#line 97 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	gtk_widget_set_margin_left ((GtkWidget*) _tmp33_, 12);
#line 98 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	_tmp36_ = grid;
#line 98 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	_tmp37_ = icon_name;
#line 98 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	_tmp38_ = (GtkImage*) gtk_image_new_from_icon_name (_tmp37_, GTK_ICON_SIZE_DIALOG);
#line 98 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	g_object_ref_sink (_tmp38_);
#line 98 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	_tmp39_ = _tmp38_;
#line 98 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	gtk_grid_attach (_tmp36_, (GtkWidget*) _tmp39_, 0, 0, 1, 2);
#line 98 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	_g_object_unref0 (_tmp39_);
#line 99 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	_tmp40_ = grid;
#line 99 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	_tmp41_ = heading;
#line 99 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	gtk_grid_attach (_tmp40_, (GtkWidget*) _tmp41_, 1, 0, 1, 1);
#line 100 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	_tmp42_ = grid;
#line 100 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	_tmp43_ = content_text;
#line 100 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	_tmp44_ = (GtkLabel*) gtk_label_new (_tmp43_);
#line 100 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	g_object_ref_sink (_tmp44_);
#line 100 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	_tmp45_ = _tmp44_;
#line 100 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	gtk_grid_attach (_tmp42_, (GtkWidget*) _tmp45_, 1, 1, 1, 1);
#line 100 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	_g_object_unref0 (_tmp45_);
#line 107 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	_tmp46_ = self->priv->_dialog_type;
#line 107 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	if (_tmp46_ == SESSION_WIDGETS_END_SESSION_DIALOG_TYPE_RESTART) {
#line 830 "EndSessionDialog.c"
		GtkButton* confirm_restart = NULL;
		GtkWidget* _tmp47_;
		GtkButton* _tmp48_;
		GtkButton* _tmp49_;
#line 108 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
		_tmp47_ = gtk_dialog_add_button ((GtkDialog*) self, _ ("Restart"), (gint) GTK_RESPONSE_OK);
#line 108 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
		_tmp48_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_TYPE (_tmp47_, gtk_button_get_type ()) ? ((GtkButton*) _tmp47_) : NULL);
#line 108 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
		confirm_restart = _tmp48_;
#line 109 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
		_tmp49_ = confirm_restart;
#line 109 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
		g_signal_connect_object (_tmp49_, "clicked", (GCallback) __session_widgets_end_session_dialog____lambda7__gtk_button_clicked, self, 0);
#line 107 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
		_g_object_unref0 (confirm_restart);
#line 847 "EndSessionDialog.c"
	}
#line 120 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	_tmp50_ = gtk_dialog_add_button ((GtkDialog*) self, _ ("Cancel"), (gint) GTK_RESPONSE_CANCEL);
#line 120 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	_tmp51_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_TYPE (_tmp50_, gtk_button_get_type ()) ? ((GtkButton*) _tmp50_) : NULL);
#line 120 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	cancel = _tmp51_;
#line 121 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	_tmp52_ = cancel;
#line 121 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	g_signal_connect_object (_tmp52_, "clicked", (GCallback) __session_widgets_end_session_dialog___lambda8__gtk_button_clicked, self, 0);
#line 123 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	_tmp53_ = button_text;
#line 123 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	_tmp54_ = gtk_dialog_add_button ((GtkDialog*) self, _tmp53_, (gint) GTK_RESPONSE_OK);
#line 123 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	_tmp55_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_TYPE (_tmp54_, gtk_button_get_type ()) ? ((GtkButton*) _tmp54_) : NULL);
#line 123 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	confirm = _tmp55_;
#line 124 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	_tmp56_ = confirm;
#line 124 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	_tmp57_ = gtk_widget_get_style_context ((GtkWidget*) _tmp56_);
#line 124 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	gtk_style_context_add_class (_tmp57_, "destructive-action");
#line 125 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	_tmp58_ = confirm;
#line 125 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	g_signal_connect_object (_tmp58_, "clicked", (GCallback) __session_widgets_end_session_dialog___lambda9__gtk_button_clicked, self, 0);
#line 142 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	_tmp59_ = confirm;
#line 142 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	gtk_window_set_default ((GtkWindow*) self, (GtkWidget*) _tmp59_);
#line 144 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	_tmp60_ = (GtkBox*) gtk_dialog_get_content_area ((GtkDialog*) self);
#line 144 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	_tmp61_ = grid;
#line 144 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	gtk_container_add ((GtkContainer*) _tmp60_, (GtkWidget*) _tmp61_);
#line 146 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	_tmp62_ = gtk_dialog_get_action_area ((GtkDialog*) self);
#line 146 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	_tmp63_ = _g_object_ref0 (_tmp62_);
#line 146 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	action_area = _tmp63_;
#line 147 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	_tmp64_ = action_area;
#line 147 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	gtk_widget_set_margin_right (_tmp64_, 6);
#line 148 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	_tmp65_ = action_area;
#line 148 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	gtk_widget_set_margin_bottom (_tmp65_, 6);
#line 40 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	_g_object_unref0 (action_area);
#line 40 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	_g_object_unref0 (confirm);
#line 40 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	_g_object_unref0 (cancel);
#line 40 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	_g_object_unref0 (grid);
#line 40 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	_g_object_unref0 (heading);
#line 40 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	_g_free0 (content_text);
#line 40 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	_g_free0 (button_text);
#line 40 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	_g_free0 (heading_text);
#line 40 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	_g_free0 (icon_name);
#line 40 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	return obj;
#line 921 "EndSessionDialog.c"
}


static void session_widgets_end_session_dialog_class_init (SessionWidgetsEndSessionDialogClass * klass) {
#line 30 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	session_widgets_end_session_dialog_parent_class = g_type_class_peek_parent (klass);
#line 30 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	g_type_class_add_private (klass, sizeof (SessionWidgetsEndSessionDialogPrivate));
#line 30 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	G_OBJECT_CLASS (klass)->get_property = _vala_session_widgets_end_session_dialog_get_property;
#line 30 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	G_OBJECT_CLASS (klass)->set_property = _vala_session_widgets_end_session_dialog_set_property;
#line 30 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	G_OBJECT_CLASS (klass)->constructor = session_widgets_end_session_dialog_constructor;
#line 30 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	G_OBJECT_CLASS (klass)->finalize = session_widgets_end_session_dialog_finalize;
#line 30 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), SESSION_WIDGETS_END_SESSION_DIALOG_DIALOG_TYPE, g_param_spec_enum ("dialog-type", "dialog-type", "dialog-type", SESSION_WIDGETS_TYPE_END_SESSION_DIALOG_TYPE, 0, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE | G_PARAM_CONSTRUCT_ONLY));
#line 940 "EndSessionDialog.c"
}


static void session_widgets_end_session_dialog_instance_init (SessionWidgetsEndSessionDialog * self) {
#line 30 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	self->priv = SESSION_WIDGETS_END_SESSION_DIALOG_GET_PRIVATE (self);
#line 947 "EndSessionDialog.c"
}


static void session_widgets_end_session_dialog_finalize (GObject * obj) {
	SessionWidgetsEndSessionDialog * self;
#line 30 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, SESSION_WIDGETS_TYPE_END_SESSION_DIALOG, SessionWidgetsEndSessionDialog);
#line 31 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	_g_object_unref0 (self->priv->logout_interface);
#line 32 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	_g_object_unref0 (self->priv->system_interface);
#line 30 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	G_OBJECT_CLASS (session_widgets_end_session_dialog_parent_class)->finalize (obj);
#line 961 "EndSessionDialog.c"
}


GType session_widgets_end_session_dialog_get_type (void) {
	static volatile gsize session_widgets_end_session_dialog_type_id__volatile = 0;
	if (g_once_init_enter (&session_widgets_end_session_dialog_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (SessionWidgetsEndSessionDialogClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) session_widgets_end_session_dialog_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (SessionWidgetsEndSessionDialog), 0, (GInstanceInitFunc) session_widgets_end_session_dialog_instance_init, NULL };
		GType session_widgets_end_session_dialog_type_id;
		session_widgets_end_session_dialog_type_id = g_type_register_static (gtk_dialog_get_type (), "SessionWidgetsEndSessionDialog", &g_define_type_info, 0);
		g_once_init_leave (&session_widgets_end_session_dialog_type_id__volatile, session_widgets_end_session_dialog_type_id);
	}
	return session_widgets_end_session_dialog_type_id__volatile;
}


static void _vala_session_widgets_end_session_dialog_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec) {
	SessionWidgetsEndSessionDialog * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, SESSION_WIDGETS_TYPE_END_SESSION_DIALOG, SessionWidgetsEndSessionDialog);
#line 30 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	switch (property_id) {
#line 30 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
		case SESSION_WIDGETS_END_SESSION_DIALOG_DIALOG_TYPE:
#line 30 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
		g_value_set_enum (value, session_widgets_end_session_dialog_get_dialog_type (self));
#line 30 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
		break;
#line 988 "EndSessionDialog.c"
		default:
#line 30 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 30 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
		break;
#line 994 "EndSessionDialog.c"
	}
}


static void _vala_session_widgets_end_session_dialog_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec) {
	SessionWidgetsEndSessionDialog * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, SESSION_WIDGETS_TYPE_END_SESSION_DIALOG, SessionWidgetsEndSessionDialog);
#line 30 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
	switch (property_id) {
#line 30 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
		case SESSION_WIDGETS_END_SESSION_DIALOG_DIALOG_TYPE:
#line 30 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
		session_widgets_end_session_dialog_set_dialog_type (self, g_value_get_enum (value));
#line 30 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
		break;
#line 1010 "EndSessionDialog.c"
		default:
#line 30 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 30 "/builddir/build/BUILD/wingpanel-indicator-session-2.0.2/src/Widgets/EndSessionDialog.vala"
		break;
#line 1016 "EndSessionDialog.c"
	}
}



